# Uses of Interface
net.sourceforge.jiu.color.data.CoOccurrenceFrequencyMatrix

Packages that use CoOccurrenceFrequencyMatrix
Package
Description
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.data
net.sourceforge.jiu.color.io
net.sourceforge.jiu.color.quantization

## Uses of CoOccurrenceFrequencyMatrix in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis that return CoOccurrenceFrequencyMatrix
Modifier and Type
Method
Description
`static CoOccurrenceFrequencyMatrix`
MatrixCreator.`createCoOccurrenceFrequencyMatrix(CoOccurrenceMatrix A)`
Creates a new co-occurrence frequency with the same dimension as the argument co-occurrence matrix, calls `MatrixCreator.initCoOccurrenceFrequencyMatrix(net.sourceforge.jiu.color.data.CoOccurrenceMatrix, net.sourceforge.jiu.color.data.CoOccurrenceFrequencyMatrix)` with them to initialize the new matrix, then returns it.
Methods in net.sourceforge.jiu.color.analysis with parameters of type CoOccurrenceFrequencyMatrix
Modifier and Type
Method
Description
`static void`
MatrixCreator.`initCoOccurrenceFrequencyMatrix(CoOccurrenceMatrix A, CoOccurrenceFrequencyMatrix cofm)`
Initializes a co-occurrence frequency matrix from a co-occurrence matrix.

## Uses of CoOccurrenceFrequencyMatrix in net.sourceforge.jiu.color.data

Classes in net.sourceforge.jiu.color.data that implement CoOccurrenceFrequencyMatrix
Modifier and Type
Class
Description
`class`
`BaseCoOccurrenceFrequencyMatrix`
This abstract class encapsulates all data of a co-occurrence frequency matrix except for the frequency values.
`class`
`MemoryCoOccurrenceFrequencyMatrix`
Implements the `CoOccurrenceFrequencyMatrix` interface by using a large array of values in memory.

## Uses of CoOccurrenceFrequencyMatrix in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io with parameters of type CoOccurrenceFrequencyMatrix
Modifier and Type
Method
Description
`static void`
MatrixSerialization.`save(CoOccurrenceFrequencyMatrix matrix, PrintStream out)`

## Uses of CoOccurrenceFrequencyMatrix in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization with parameters of type CoOccurrenceFrequencyMatrix
Modifier and Type
Method
Description
`private void`
MedianCutContourRemoval.`computeStatistics(CoOccurrenceFrequencyMatrix matrix)`
Computes the mean and standard deviation (stddev) values and from the argument matrix and initializes the mean / stddev fields of this class with them.
`private void`
MedianCutContourRemoval.`findColorPairs(CoOccurrenceFrequencyMatrix matrix, CoOccurrenceMatrix A)`